org.apache.xpath.axes

## Class IteratorPool

- java.lang.Object
- - org.apache.xpath.axes.IteratorPool

All Implemented Interfaces:
  java.io.Serializable

    public final class IteratorPool
    extends java.lang.Object
    implements java.io.Serializable

Pool of object of a given type to pick from to help memory usage

See Also:
  Serialized Form
Usage:
  **For internal use only**

### Constructor Summary

Constructors
Constructor and Description
`IteratorPool(DTMIterator original)` Constructor IteratorPool

### Method Summary

Methods
`void` `freeInstance(DTMIterator obj)` Add an instance of the given object to the pool
`DTMIterator` `getInstance()` Get an instance of the given object in this pool
`DTMIterator` `getInstanceOrThrow()` Get an instance of the given object in this pool

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IteratorPool

    public IteratorPool(DTMIterator original)

Constructor IteratorPool

Parameters:
  `original` - The original iterator from which all others will be cloned.

### Method Detail

#### getInstanceOrThrow

    public DTMIterator getInstanceOrThrow()
                                   throws java.lang.CloneNotSupportedException

Get an instance of the given object in this pool

Returns:
  An instance of the given object
Throws:
  `java.lang.CloneNotSupportedException`

#### getInstance

    public DTMIterator getInstance()

Get an instance of the given object in this pool

Returns:
  An instance of the given object

#### freeInstance

    public void freeInstance(DTMIterator obj)

Add an instance of the given object to the pool

Parameters:
  `obj` - Object to add.